Commit: ingadhoc/multi-store:f863e8db
Subject: [13.0] [IMP] stock_multi_store: Add multi tag widget for warehouse
Author: Nicolás Mac Rouillon
Committer: Nicolás Mac Rouillon
Commit: ingadhoc/aeroo_reports:6ce997aa
Subject: Fix bad syntax
Author: Lucas Soto
Committer: Juan José Scarafía
Commit: ingadhoc/partner:1e492a95
Subject: [FIX] partner_internal_code: remove broken translations
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/project:894af084
Subject: [IMP] clean travis/oca deps
Author: Juan Jose Scarafia
Committer: Juan Jose Scarafia
Commit: ingadhoc/hr:1064d483
Subject: [REF]
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: enterprise:2a5791cc
Subject: [FIX] l10n_sg_reports: truncate SourceType to 20 characters
Author: alt-odoo
Committer: Jorge Pinna Puissant
Commit: odoo:312e9b60
Subject: [FIX] website_sale: fix product grid tables layout
Author: Benjamin Vray
Committer: Benjamin Vray
Commit: oca/web:7a5e8201
Subject: Translated using Weblate (Portuguese (Brazil))
Author: Eder Brito
Committer: OCA Transbot
Version: 13.0
Config: Adhoc Conf
Total time: 3m

Date Level Type Message
2021-03-31 14:44:44 INFO runbot Init build environment with config Adhoc Conf
2021-03-31 14:44:44 Starting step base from config Adhoc Conf
2021-03-31 14:44:44 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-31 14:45:12 INFO server odoo.modules.loading:279 1 modules loaded in 6.26s, 0 queries
2021-03-31 14:45:19 INFO server odoo.modules.loading:279 11 modules loaded in 5.55s, 0 queries
2021-03-31 14:45:33 Step base finished in 49s
2021-03-31 14:45:33 Starting step all from config Adhoc Conf
2021-03-31 14:45:33 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-31 14:46:22 INFO server odoo.modules.module:613 odoo.addons.base.tests.test_translate tested in 8.64s, 952 queries
2021-03-31 14:46:26 INFO server odoo.modules.loading:279 1 modules loaded in 31.97s, 20568 queries
2021-03-31 14:46:29 WARNING server odoo.modules.loading:563 Transient module states were reset
2021-03-31 14:46:29 ERROR server odoo.modules.registry:91
Failed to load registry
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-31>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
  File "<string>", line 1
    {'required': [('store_ids','!=', []])]}
                                       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 225, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-31>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
odoo.tools.convert.ParseError: "invalid syntax
('', 1, 36, "{'required': [('store_ids','!=', []])]}")" while parsing /data/build/ingadhoc/multi-store/base_multi_store/views/res_users_view.xml:2, near
<odoo>
    <!-- Form -->
    <record id="view_store_users_form" model="ir.ui.view">
        <field name="name">store.users.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page[@name='access_rights']/group" position="after">
                <group string="Allowed Stores" groups="base_multi_store.group_multi_store">
                    <field string="Allowed Stores" name="store_ids" widget="many2many_tags"/>
                    <field string="Current Store" name="store_id" context="{'user_preference': 0}" attrs="{'required': [('store_ids','!=', []])]}"/>
                </group>
            </xpath>
        </field>
    </record>

    <record id="view_store_user_preference_form" model="ir.ui.view">
        <field name="name">store.user.preference.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form_simple_modif"/>
        <field name="arch" type="xml">
            <field name="tz" position="after">
                <field name="store_ids" invisible="1"/>
                <field name="store_id" readonly="0" context="{'user_preference':0}" options="{'no_create': True}" groups="base_multi_store.group_multi_store" attrs="{'required': [('store_ids','!=', [])]}"/>
            </field>
        </field>
    </record>
</odoo>
2021-03-31 14:46:29 CRITICAL server odoo.service.server:1221
Failed to initialize database `01429-13-0-all`.
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-31>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
  File "<string>", line 1
    {'required': [('store_ids','!=', []])]}
                                       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/service/server.py", line 1190, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 225, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-31>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
odoo.tools.convert.ParseError: "invalid syntax
('', 1, 36, "{'required': [('store_ids','!=', []])]}")" while parsing /data/build/ingadhoc/multi-store/base_multi_store/views/res_users_view.xml:2, near
<odoo>
    <!-- Form -->
    <record id="view_store_users_form" model="ir.ui.view">
        <field name="name">store.users.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page[@name='access_rights']/group" position="after">
                <group string="Allowed Stores" groups="base_multi_store.group_multi_store">
                    <field string="Allowed Stores" name="store_ids" widget="many2many_tags"/>
                    <field string="Current Store" name="store_id" context="{'user_preference': 0}" attrs="{'required': [('store_ids','!=', []])]}"/>
                </group>
            </xpath>
        </field>
    </record>

    <record id="view_store_user_preference_form" model="ir.ui.view">
        <field name="name">store.user.preference.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form_simple_modif"/>
        <field name="arch" type="xml">
            <field name="tz" position="after">
                <field name="store_ids" invisible="1"/>
                <field name="store_id" readonly="0" context="{'user_preference':0}" options="{'no_create': True}" groups="base_multi_store.group_multi_store" attrs="{'required': [('store_ids','!=', [])]}"/>
            </field>
        </field>
    </record>
</odoo>
2021-03-31 14:46:31 INFO runbot Getting results for build 01429-13-0
2021-03-31 14:46:31 Step all finished in 58s
2021-03-31 14:46:31 Starting step setup from config Adhoc Conf
2021-03-31 14:46:31 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-31 14:47:53 INFO runbot Step setup finished in 82s
2021-03-31 14:47:53 Starting step run from config Adhoc Conf
2021-03-31 14:47:53 INFO runbot Start running build 01429-13-0
2021-03-31 14:47:53 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-31 14:48:14 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-03-31 20:18:50 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-03-31 20:18:51 INFO server odoo.modules.loading:279 11 modules loaded in 0.07s, 0 queries
2021-03-31 20:19:12 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-03-31 20:19:12 INFO server odoo.modules.loading:279 11 modules loaded in 0.08s, 0 queries
2021-03-31 20:19:14 ERROR server werkzeug:88
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 270, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 258, in execute
    application_iter = app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 140, in application
    return ProxyFix(application_unproxied)(environ, start_response)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/contrib/fixers.py", line 152, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/service/wsgi_server.py", line 117, in application_unproxied
    result = odoo.http.root(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1287, in __call__
    return self.dispatch(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1257, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/dist-packages/werkzeug/wsgi.py", line 766, in __call__
    return self.app(environ, start_response)
  File "/data/build/odoo/odoo/http.py", line 1457, in dispatch
    result = ir_http._dispatch()
  File "/data/build/odoo/odoo/addons/base/models/ir_http.py", line 238, in _dispatch
    return cls._handle_exception(e)
  File "/data/build/odoo/odoo/addons/base/models/ir_http.py", line 206, in _handle_exception
    return request._handle_exception(exception)
  File "/data/build/odoo/odoo/http.py", line 750, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/data/build/odoo/odoo/http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/data/build/odoo/odoo/tools/pycompat.py", line 14, in reraise
    raise value
  File "/data/build/odoo/odoo/addons/base/models/ir_http.py", line 234, in _dispatch
    result = request.dispatch()
  File "/data/build/odoo/odoo/http.py", line 809, in dispatch
    r = self._call_function(**self.params)
  File "/data/build/odoo/odoo/http.py", line 350, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/data/build/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/data/build/odoo/odoo/http.py", line 342, in checked_call
    result.flatten()
  File "/data/build/odoo/odoo/http.py", line 1236, in flatten
    self.response.append(self.render())
  File "/data/build/odoo/odoo/http.py", line 1229, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 1191, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 1087, in get_view_id
    return view and view.id or self.env['ir.model.data'].xmlid_to_res_id(template, raise_if_not_found=True)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1694, in xmlid_to_res_id
    return self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)[1]
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1685, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-25>", line 2, in xmlid_lookup
    
  File "/data/build/odoo/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1674, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: web.login
2021-04-01 13:07:16 ERROR runbot Docker with state GHOST not started after 60 seconds, skipping
2021-04-01 13:07:16 INFO runbot Step run finished in 22h